Bug 30466 - Convert serials pages tabs to Bootstrap
Summary: Convert serials pages tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30204
Blocks: 29226 30436
  Show dependency treegraph
 
Reported: 2022-04-06 11:32 UTC by Owen Leonard
Modified: 2022-05-13 16:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30466: Convert serials pages tabs to Bootstrap (67.06 KB, patch)
2022-04-06 11:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30466: Convert serials pages tabs to Bootstrap (66.99 KB, patch)
2022-04-12 10:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30466: Convert serials pages tabs to Bootstrap (47.29 KB, patch)
2022-04-20 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30466: Convert serials pages tabs to Bootstrap (47.35 KB, patch)
2022-04-20 14:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30466: Convert serials pages tabs to Bootstrap (47.41 KB, patch)
2022-04-20 14:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30466: Convert serials pages tabs to Bootstrap (47.46 KB, patch)
2022-05-03 11:57 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-06 11:32:44 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in three serials templates with Bootstrap:

- serials-collection.tt
- serials-search.tt
- subscription-detail.tt
Comment 1 Owen Leonard 2022-04-06 11:44:05 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2022-04-11 17:35:30 UTC
I think because of Bug 29609 this one no longer cleanly applies to master.
Comment 3 Owen Leonard 2022-04-12 10:25:27 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2022-04-20 12:56:09 UTC
Created attachment 133467 [details] [review]
Bug 30466: Convert serials pages tabs to Bootstrap

This patch modifies three serials templates in order to replace jQueryUI
tabs with Bootstrap tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Serials.
- Perform a serials search which will return one or more results.
- On the search results page you should see an Open and Closed tab.
- The tabs should look correct and work correctly.
- Confirm that "Select all" and "Clear all" controls work correctly in
  each tab.

- Click one of the search results to view the details for that
  subscription.
- You should see tabs for Information, Planning, Issues, and Summary.
  You may also see an Acquisition details tab depending on your data.

- In the sidebar menu click "Serial collection."
- On this page you should see tabs corresponding to each year the serial
  has been received.
- Under each tab the "Select all" and "Clear all" controls should work
  correctly in the context of that tab. Other controls should apply to
  all tabs.
Comment 5 Tomás Cohen Arazi 2022-04-20 14:37:58 UTC
Created attachment 133478 [details] [review]
Bug 30466: Convert serials pages tabs to Bootstrap

This patch modifies three serials templates in order to replace jQueryUI
tabs with Bootstrap tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Serials.
- Perform a serials search which will return one or more results.
- On the search results page you should see an Open and Closed tab.
- The tabs should look correct and work correctly.
- Confirm that "Select all" and "Clear all" controls work correctly in
  each tab.

- Click one of the search results to view the details for that
  subscription.
- You should see tabs for Information, Planning, Issues, and Summary.
  You may also see an Acquisition details tab depending on your data.

- In the sidebar menu click "Serial collection."
- On this page you should see tabs corresponding to each year the serial
  has been received.
- Under each tab the "Select all" and "Clear all" controls should work
  correctly in the context of that tab. Other controls should apply to
  all tabs.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Martin Renvoize 2022-04-20 14:55:19 UTC
Created attachment 133481 [details] [review]
Bug 30466: Convert serials pages tabs to Bootstrap

This patch modifies three serials templates in order to replace jQueryUI
tabs with Bootstrap tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Serials.
- Perform a serials search which will return one or more results.
- On the search results page you should see an Open and Closed tab.
- The tabs should look correct and work correctly.
- Confirm that "Select all" and "Clear all" controls work correctly in
  each tab.

- Click one of the search results to view the details for that
  subscription.
- You should see tabs for Information, Planning, Issues, and Summary.
  You may also see an Acquisition details tab depending on your data.

- In the sidebar menu click "Serial collection."
- On this page you should see tabs corresponding to each year the serial
  has been received.
- Under each tab the "Select all" and "Clear all" controls should work
  correctly in the context of that tab. Other controls should apply to
  all tabs.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-04-20 14:55:57 UTC
Looks great! Passing QA
Comment 8 Fridolin Somers 2022-05-02 20:04:14 UTC
Sorry this does not apply on master anymore, please rebase
Comment 9 Owen Leonard 2022-05-03 11:57:39 UTC
Created attachment 134530 [details] [review]
Bug 30466: Convert serials pages tabs to Bootstrap

This patch modifies three serials templates in order to replace jQueryUI
tabs with Bootstrap tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Serials.
- Perform a serials search which will return one or more results.
- On the search results page you should see an Open and Closed tab.
- The tabs should look correct and work correctly.
- Confirm that "Select all" and "Clear all" controls work correctly in
  each tab.

- Click one of the search results to view the details for that
  subscription.
- You should see tabs for Information, Planning, Issues, and Summary.
  You may also see an Acquisition details tab depending on your data.

- In the sidebar menu click "Serial collection."
- On this page you should see tabs corresponding to each year the serial
  has been received.
- Under each tab the "Select all" and "Clear all" controls should work
  correctly in the context of that tab. Other controls should apply to
  all tabs.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Fridolin Somers 2022-05-03 21:27:51 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄